% allmatrix = packMatrix(sys_obs, L, K)
%
% Packs observer system matrices, control gain, and observer gain into a
% single column vector. To be read by labview for experiement.

function AllMatrix = packMatrix(sys_obs, L, K)
    A = sys_obs.a;
    B = sys_obs.b;
    C = sys_obs.c;

%     keyboard
    AllMatrix = [B; L; K'; C'];
    Ns = length(B);
    for i=1:Ns
       AllMatrix = [AllMatrix; A(i,:)']; 
    end



end