% [yy] = toTimeSeries(y, y_type, t)
% Converts a vector or time_series to a struct
% y.Time, y.Data. If y is a time series, t is not needed.

% See also:
% toStrucureWithTime
% 
function [yy] = toTimeSeries(y, t)
% % % y_type = trajectoryis(y);
% % % 
% % % if nargin <2 & strcmp(y_type, 'double')
% % %     error('When y_type = doubles, ie, y is a vector, must supply time vector t')
% % % end
% % % 
% % % 
% % % if strcmp(y_type, 'double')
% % %     yy.signals.values = y;
% % %     yy.time           = t;
% % % elseif strcmp(y_type, 'time_series')
% % %     yy = y;
% % % elseif strcmp(y_type, 'StructureWithTime')
% % %     yy.signals.values = y.Data;
% % %     yy.time           = y.Time;
% % % else
% % %     error('y_type must be double, time_series, or StructureWithTime')
% % % end
% % % 

%---------------------------------------------------------------
  if nargin <2 & isa(y, 'double')
        error('if input y is a double, you must include time vector, t')
    elseif nargin <2
        t = 0;
    end

y_type = trajectoryis(y);

if strcmp(y_type, 'timeseries')
    yy.Data = y.signals.values;
    yy.Time = y.time;
elseif strcmp(y_type, 'double')
    yy.Data = y;
    yy.Time = t;
elseif strcmp(y_type, structureWithTime')
    yy = y;
else
    keyboard
    error('y should be a timeseries, vector of doubles of structure with time')
end

warning('The output of this function has Changed!! If you are using an old script, you probably want to be using toStructureWIthTime');

end

