% This file takes the settle time data in metadata.mat and saves it into a
% flat text file so that latex can automagically import it. 
%
clear;
clc;
expDataPath        = fullfile(getMatPath, 'publications', 'fastTracking', 'latex', 'data', 'exp_data.txt');

load('metadata.mat');
whos

dat.linTs1Sim = data.lin_ts_data.ts1_sim;
dat.linTs2Sim = data.lin_ts_data.ts2_sim;

dat.linTs1Afm = data.lin_ts_data.ts1_afm;
dat.linTs2Afm = data.lin_ts_data.ts2_afm;

dat.clqrTs1Sim = data.clqr_ts_data.ts1_sim;
dat.clqrTs2Sim = data.clqr_ts_data.ts2_sim;

dat.clqrTs1Afm = data.clqr_ts_data.ts1_afm;
dat.clqrTs2Afm = data.clqr_ts_data.ts2_afm;



char_data = struct2meta(dat)


delete(expDataPath);
fid = fopen(expDataPath, 'w');
fprintf(fid, '%s', char_data);
fclose(fid);