(TeX-add-style-hook
 "fastSPtracking"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("ieeeconf" "letterpaper" "10pt" "conference")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("xcolor" "usenames" "dvipsnames") ("geometry" "margin=1in")))
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "url")
   (TeX-run-style-hooks
    "latex2e"
    "ieeeconf"
    "ieeeconf10"
    "array"
    "amsmath"
    "amssymb"
    "graphicx"
    "epstopdf"
    "caption"
    "subcaption"
    "color"
    "xcolor"
    "multirow"
    "url"
    "booktabs"
    "geometry"
    "placeins"
    "cases"
    "empheq"
    "picture"
    "calc"
    "xspace")
   (TeX-add-symbols
    '("blfootnote" 1)
    '("pic" 2)
    "na"
    "eg"
    "ie"
    "Dm")
   (LaTeX-add-labels
    "sec:setup")))

