classdef ssFit
    %SSFIT Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        sys;
        sys_autoTrunc;
        Ns;
        method;
    end
    
    methods
        function obj = ssFit(sys, w_s, F1);
            
            obj.sys = sys;
            obj.Ns  = length(sys.b);
        end
        
        function F1 = bode(obj)
            if ~exist('w_s', 'var')
               [~, ~, w_s] = bode(obj.sys); 
            end
            if ~exist('F1', 'var')
                F1 = figure;
            end
            
            pstyle = '-b';
            
            frfBode(obj.sys, w_s, F1, pstyle, 'rad')
            
        end
        
    end
    
end

