clear
clc
saveOn = 0;

matpath = getMatPath();
figroot = getFigPath();
addpath('functions');
dataroot = fullfile(matpath, 'AFM_SS', 'System_Identification', 'data', 'data_xaxis'); 



expName           = ['22-Jun-2016_exp01'];
expName           = ['02-May-2016_exp01'];
modFitName    = [expName, '.mat'];
modFitPath    = fullfile(dataroot, modFitName);
load(modFitPath, 'modelFit')

expName       = ['22-Jun-2016_exp01'];
modFitName    = [expName, '.mat'];
modFitPath    = fullfile(dataroot, modFitName);
load(modFitPath, 'modelFit')

F4 = figure(4);
f_s = modelFit.frf.w_s/2/pi;
frfBode(modelFit.frf.Gz_OL_frf, f_s,  F4, 'k', 'Hz');
frfBode(modelFit.SS02.sys, f_s, F4,  'g', 'Hz');

[~,~,~,~,~,legs] = plotPZ_freqs(modelFit.SS02.sys, F4, 0, 0);
h1 = legend(legs);
h1.Position = [0.1331 0.5998 0.2622 0.1588];

%
subplot(2,1,1)
ylabel('Magnitude (dB)', 'interpreter', 'latex', 'FontSize', 12)
subplot(2,1,2)
ylabel('Phase (degrees)', 'interpreter', 'latex', 'FontSize', 12)

if saveOn
    saveEps(F4, fullfile(figroot, 'bode_fit01.eps'));
end
