(TeX-add-style-hook
 "fastSPtracking"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("ieeeconf" "letterpaper" "10pt" "conference")))
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "url")
   (TeX-run-style-hooks
    "latex2e"
    "ieeeconf"
    "ieeeconf10"
    "array"
    "graphicx"
    "epstopdf"
    "caption"
    "subcaption"
    "color"
    "multirow"
    "url"
    "booktabs"
    "empheq"
    "xspace"
    "catchfilebetweentags"
    "bbold"
    "dsfont")
   (TeX-add-symbols
    '("blfootnote" 1)
    '("pic" 2)
    '("ExpData" 1)
    '("CLdata" 1)
    '("SSData" 1)
    "na"
    "eg"
    "ie"
    "Dm"
    "U"
    "Q"
    "R"
    "Hh"
    "M"
    "F"
    "ub"
    "ubp"
    "ubm")
   (LaTeX-add-labels
    "sec:setup"
    "fig:expsetup"
    "sec:motivateExample"
    "eqn:hinfD"
    "fig:ssfrf"
    "fig:Hinfstep"
    "eqn:ssmodel"
    "sec:lincontrol"
    "sec:estDelay"
    "eqn:alc"
    "fig:pz1"
    "sec:lindesign"
    "sec:lintrouble"
    "eqn:sp_seq"
    "fig:linfdbk_slewproblem"
    "sec:clqr"
    "eqn:ubardef"
    "eqn:clqr"
    "eqn:eqcon1"
    "eqn:eqcon2"
    "eqn:ineqcon1"
    "eqn:ineqcon2"
    "eqn:ineqMatrix"
    "eqn:xiseq"
    "eqn:useq"
    "eqn:utrack"
    "eqn:utrackshort"
    "eqn:uff"
    "fig:trajtrackblock"
    "sec:practical"
    "sec:clqrResults"
    "fig:clqr01_pz"
    "fig:clqrStep_trk2"
    "tab:settle"
    "sec:conclusions")
   (LaTeX-add-bibliographies)))

